## cuneiform 0.7.0+dfsg

=== cuneiform_src/CMakeLists.txt ===
add_subdirectory(Kern)
