=== debian/changelog ===
cuneiform (0.7.0+dfsg.1-1) unstable; urgency=low

  * QA upload
  * Repacked upstream tarball without cuneiform_src/Kern/rout/wtypes.h
    since its licence has been doubted, and since it isn't used anyway.
    (closes: #583603). Removed mention of that file from debian/copyright.
  * Recompiled against libmagick++3 (closes: #575420).
  * Bumped dependency on debhelper to >= 7.0.50~.
  * Source format 3.0 (quilt): no change

 -- Ralf Treinen <treinen@debian.org>  Tue, 29 Jun 2010 20:12:53 +0200

cuneiform (0.7.0+dfsg-5) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:42:31 +0200

cuneiform (0.7.0+dfsg-4) unstable; urgency=low

  * Minimalizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Wed, 29 Jul 2009 21:44:01 +0200

cuneiform (0.7.0+dfsg-3) unstable; urgency=low

  * Avoiding circular depends (Closes: #531707).
  * Updating standards version to 3.8.2.
  * Adding README.Debian with a note about non-free.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 17:58:10 +0200

cuneiform (0.7.0+dfsg-2) unstable; urgency=low

  * Adding Autobuild field in control (Closes: #531363).
  * Updating version and date in manpage.
  * Building binaries with optimization.

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Jun 2009 09:18:01 +0200

cuneiform (0.7.0+dfsg-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Updating to standards 3.8.1.
  * Merging upstream version 0.7.0+dfsg.
  * Passing libdir to cmake (Closes: #531277).

 -- Daniel Baumann <daniel@debian.org>  Sun, 31 May 2009 19:54:52 +0200

cuneiform (0.6.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #496264).
  * Rebuild upstream tarball without win32 binaries.
  * The source for the .dat files is unknown, therefore uploading to non-free,
    see comments in http://bugs.debian.org/496264 from Jussi Pakkanen.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 02:38:00 +0200
