=== debian/control ===
Source: cuneiform
Section: non-free/graphics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2),
 libmagick++-dev
Standards-Version: 3.8.3
Homepage: http://launchpad.net/cuneiform-linux/
Vcs-Browser: http://git.debian.net/?p=debian/cuneiform.git
Vcs-Git: git://git.debian.net/git/debian/cuneiform.git
XS-Autobuild: yes

Package: cuneiform
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, cuneiform-common
Description: multi-language OCR system
 Cuneiform is an OCR system. In addition to text recognition it also does layout
 analysis and text format recognition. Cuneiform supports several languages.

Package: cuneiform-common
Architecture: all
Depends: ${misc:Depends}
Description: multi-language OCR system (common)
 Cuneiform is an OCR system. In addition to text recognition it also does layout
 analysis and text format recognition. Cuneiform supports several languages.
 .
 This package contains the common files.
