=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

dfsg:
	rm -rf cuneiform_src/Addfiles
	rm -rf cuneiform_src/Kern/icrashreport

override_dh_auto_clean:
	dh_auto_clean

	rm -rf build

override_dh_auto_build:
	mkdir -p build
	cd build && cmake -DCMAKE_BUILD_TYPE=relwithdebinfo -DCMAKE_EXE_LINKER_FLAGS:STRING=-Wl,--as-needed -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_INSTALL_RPATH=/usr/lib/cuneiform ..
	$(MAKE) -C build

override_dh_auto_install:
	$(MAKE) -C build DESTDIR=$(CURDIR)/debian/tmp install
