## cuneiform 1.1.0%2Bdfsg

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
https://launchpad.net/cuneiform-linux \
https://launchpad.net/cuneiform-linux/[0-9.]+/.*/[+]download/cuneiform-linux-([0-9.]+)[.]tar[.]bz2
