=== headers/CMakeLists.txt ===
install(FILES cuneiform.h DESTINATION include)
