=== cuneiform_src/Kern/ccom/CMakeLists.txt ===
--- 
+++ 
@@ -6,4 +6,4 @@
 src/ccom.c
 src/ccom_loc.c)
 
-install_dll(ccom)
+library_hook(ccom)
