=== cuneiform_src/Kern/cimage/CMakeLists.txt ===
--- 
+++ 
@@ -18,4 +18,4 @@
 
 target_link_libraries(cimage cfio rdib)
 
-install_dll(cimage)
+library_hook(cimage)
