=== debian/changelog ===
cuneiform (1.1.0+dfsg-4) unstable; urgency=low

  * Improve the test suite:
    + Don't rely on TMPDIR being empty or unset.
    + Print “FAIL” instead of “ERROR” in case of test failure.
    + Better error handling.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 24 Apr 2012 20:16:21 +0200

cuneiform (1.1.0+dfsg-3) unstable; urgency=low

  * Bump minimum required debhelper version to 8.1.3 (for multi-arch support).
  * Bump debhelper compatibility level to 8.
    + Exclude private libraries from being processed by dh_makeshlibs.
  * Use $() construct (rather than backticks) in the get-orig-source script.
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI.
  * Drop lintian overrides for binary-or-shlib-defines-rpath; not needed
    anymore.
  * Update patch headers.
  * Move most testing logic from debian/rules to debian/tests/. Implement
    DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 24 Apr 2012 00:13:05 +0200

cuneiform (1.1.0+dfsg-2) unstable; urgency=low

  * Bump minimum required version of cmake to 2.8.2 (closes: #628732). Our
    GraphicsMagick patch requires pkg_check_modules to support the QUIET
    option, which was added in cmake 2.8.2 RC 1. Thanks to Marc Straub for the
    bug report.
  * Remove bogus debian/tests/include-binaries.
  * Overhaul debian/rules. Stop using dh.
  * Adjust *.install files, so that it's possible to build the
    cuneiform-common package without building any code.
  * Drop Vcs-* fields.
  * Link the r35 library with libm.
  * Compress binary packages with xz.
    + Add pre-dependency on dpkg >= 1.15.6.
  * Multi-archify:
    + Make cuneiform and cuneiform-common ‘Multi-Arch: foreign’.
    + Make libcuneiform0 and libcuneiform-dev ‘Multi-Arch: same’.
    + Add ‘Pre-Depends: ${misc:Pre-Depends}’ to libcuneiform0.
    + Install shared libraries to /usr/lib/$(DEB_HOST_MULTIARCH) rather than
      /usr/lib.
    + Install lintian override for binary-or-shlib-defines-rpath (see bug
      #646817).
    + Bump minimum required version of dpkg-dev to 1.16.
  * Pass CPPFLAGS (get from dpkg-buildflags) to cmake
  * Call dpkg-buildflags lazily.
  * Use versioned URL for copyright file format.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 27 Oct 2011 16:51:13 +0200

cuneiform (1.1.0+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
    + Drop patches: c-assert.diff, cuneiform.h-rename-*.diff,
      slovenian-slv.diff, soname.diff, swapytes.diff. All applied upstream.
    + Refresh the remaining patches.
    + Update *.install files.
    + Fix incorrect use of va_list (closes: #596917).
  * Re-add c-assert.diff to fix another instance of custom assert() macro.
  * Use stricter check level for dpkg-gensymbols.
  * Bump standards version to 3.9.2 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Apr 2011 13:16:24 +0200

cuneiform (1.0.0+dfsg-3) experimental; urgency=low

  * Backport upstream patch to change SONAME to ‘libcuneiform.so.0’.
    [soname.diff]
  * Backport upstream patches to rename various names in order to prevent name
    collisions. [cuneiform.h-rename-*.diff]
  * Remove trailing whitespace in debian/control.
  * New binary packages: libcuneiform-dev, libcuneiform0 (closes: #598616).
    + Move dependency on cuneiform-common from cuneiform to libcuneiform0.
    + Move /usr/lib files from cuneiform to libcuneiform0.
    + Move libcuneiform.so.* from /usr/lib/cuneiform/ to /usr/lib/.
    + No longer disable call to dh_makeshlibs.
    + Add symbols file.
    + Add new packages to vrms reasons file.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 28 Feb 2011 21:12:01 +0100

cuneiform (1.0.0+dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Explicitly build-depend on pkg-config. Thanks to Stefano Rivera for the
    bug report.
  * Add Vcs-* fields.
  * Use the standard C assert() macro, rather than custom Cuneiform one.
    [c-assert.diff]
  * Pass CFLAGS, CXXFLAGS and LDFLAGS (get from dpkg-buildflags) to cmake
    (closes: #608345). Thanks to Sami Liedes for the bug report.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Pass --parallel to dh.
    + Bump debhelper minimum version to 7.4.10.
  * Update debian/copyright to the latest DEP-5 version.
  * Bump year in debian/copyright.
  * Explicitly link to GraphicsMagick (rather than via the ImageMagick
    compatibility layer).
  * Don't ship /usr/lib/cuneiform/*.so symlinks. These libraries are
    considered private, at least until #598616 is fixed.
  * Rename some private variables in debian/rules to make them lowercase.
  * Update patch headers.
  * Provide proper ‘build-arch’ and ‘build-indep’ targets in debian/rules.
  * Document input format in the manual page (closes: #572061). Thanks to
    Janusz S. Bień for the bug report.
  * Use ‘slv’ (rather than ‘slo’) as language code for Slovenian.
    [slovenian-slv.diff]
  * Fix package description: Slovenian is supported, Slovak is not.
  * Improve documentation of the language (-l) option (closes: #602512).
    Thanks to Jari Aalto for the bug report.
  * Install reasons file for vrms.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 26 Jan 2011 21:53:07 +0100

cuneiform (1.0.0+dfsg-1) experimental; urgency=low

  * New upstream release (closes: #575419).
  * New maintainer (closes: #543893).
  * Document in README.source how to repackage upstream tarball.
  * Update debian/copyright.
    + Document that the package is auto-buildable.
    + Document which files were stripped from the upstream tarball.
    + Convert to the DEP-5 format.
  * Drop README.Debian, no longer needed.
  * Rewrite debian/rules from scratch using dh.
    + Bump debhelper minimum version to 7.4.4 (for cmake support).
    + Turn on MAKE_VERBOSE_MAKEFILE.
    + Disable call to dh_makeshlibs to avoid creation of spurious
      calls to ldconfig in postrm/postinst.
    + Add get-orig-source target.
  * Remove unused overrides.
  * Link to GraphicsMagick rather than ImageMagick:

