=== debian/control ===
Source: cuneiform
Section: non-free/graphics
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 8.1.3), dpkg-dev (>= 1.16), cmake (>= 2.8.2),
  libgraphicsmagick++1-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://launchpad.net/cuneiform-linux/
XS-Autobuild: yes

Package: cuneiform
Architecture: any
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: ocrodjvu (<< 0.4.2)
Description: multi-language OCR system
 Cuneiform is an OCR system. In addition to text recognition it also does
 layout analysis and text format recognition.
 .
 The following languages are supported: Bulgarian, Croatian, Czech, Danish,
 Dutch, English, Estonian, French, German, Hungarian, Italian, Latvian,
 Lithuanian, Polish, Portuguese, Romanian, Russian, Serbian, Slovenian,
 Spanish, Swedish, Turkish and Ukrainian.

Package: cuneiform-common
Architecture: all
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}
Description: multi-language OCR system (common)
 Cuneiform is an OCR system. In addition to text recognition it also does layout
 analysis and text format recognition.
 .
 The following languages are supported: Bulgarian, Croatian, Czech, Danish,
 Dutch, English, Estonian, French, German, Hungarian, Italian, Latvian,
 Lithuanian, Polish, Portuguese, Romanian, Russian, Serbian, Slovenian,
 Spanish, Swedish, Turkish and Ukrainian.
 .
 This package contains the common files.

Package: libcuneiform-dev
Section: non-free/libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: dpkg (>= 1.15.6)
Depends: ${misc:Depends}, libcuneiform0 (= ${binary:Version})
Description: multi-language OCR system (development)
 Cuneiform is an OCR system. In addition to text recognition it also does layout
 analysis and text format recognition.
 .
 The following languages are supported: Bulgarian, Croatian, Czech, Danish,
 Dutch, English, Estonian, French, German, Hungarian, Italian, Latvian,
 Lithuanian, Polish, Portuguese, Romanian, Russian, Serbian, Slovenian,
 Spanish, Swedish, Turkish and Ukrainian.
 .
 This package contains the development support files.

Package: libcuneiform0
Section: non-free/libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
Depends: ${misc:Depends}, ${shlibs:Depends}, cuneiform-common
Breaks: cuneiform (<< 1.0.0+dfsg-3~)
Replaces: cuneiform (<< 1.0.0+dfsg-3~)
Description: multi-language OCR system (shared library)
 Cuneiform is an OCR system. In addition to text recognition it also does layout
 analysis and text format recognition.
 .
 The following languages are supported: Bulgarian, Croatian, Czech, Danish,
 Dutch, English, Estonian, French, German, Hungarian, Italian, Latvian,
 Lithuanian, Polish, Portuguese, Romanian, Russian, Serbian, Slovenian,
 Spanish, Swedish, Turkish and Ukrainian.
 .
 This package contains the shared library.
