=== debian/tests/control ===
Tests: ground-truth
Features: no-build-needed
Depends: cuneiform
